Loading...
Searching...
No Matches
BALL::VIEW::HBondModelProcessor Class Reference
Visualisation » Model Processors

`#include <BALL/VIEW/MODELS/HBondModel.h>`

Inheritance diagram for BALL::VIEW::HBondModelProcessor:

## Public Member Functions

Constructors and Destructors
| HBondModelProcessor ()
| HBondModelProcessor (const HBondModelProcessor &model)
virtual | ~HBondModelProcessor ()
virtual void | clear ()
Assignment
void | set (const HBondModelProcessor &model)
const HBondModelProcessor & | operator= (const HBondModelProcessor &model)
Public Member Functions inherited from BALL::VIEW::AtomBondModelBaseProcessor
| AtomBondModelBaseProcessor ()
| AtomBondModelBaseProcessor (const AtomBondModelBaseProcessor &baseProcessor)
virtual | ~AtomBondModelBaseProcessor ()
void | set (const AtomBondModelBaseProcessor &processor)
const AtomBondModelBaseProcessor & | operator= (const AtomBondModelBaseProcessor &processor)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual void | clearComposites ()
virtual bool | createGeometricObjects ()
Public Member Functions inherited from BALL::VIEW::ModelProcessor
| ModelProcessor ()
| ModelProcessor (const ModelProcessor &model_processor)
virtual | ~ModelProcessor ()
virtual bool | isValid () const
GeometricObjectList & | getGeometricObjects ()
| Return the list with the created geometric objects.
const GeometricObjectList & | getGeometricObjects () const
| Return the list with the created geometric objects.
void | setDrawingPrecision (Index precision)
Index | getDrawingPrecision () const
void | setSurfaceDrawingPrecision (float precision)
float | getSurfaceDrawingPrecision () const
Public Member Functions inherited from BALL::UnaryProcessor< Composite >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()
Public Member Functions inherited from BALL::PropertyManager
BALL_INLINE | PropertyManager ()
| Default constructor.
BALL_INLINE | PropertyManager (const PropertyManager &property_manager)
| Copy constructor.
virtual | ~PropertyManager ()
| Destructor.
virtual void | destroy ()
| Clears all properties.
void | set (const PropertyManager &property_manager)
const PropertyManager & | operator= (const PropertyManager &property_manager)
void | get (PropertyManager &property_manager) const
void | swap (PropertyManager &property_manager)
BitVector & | getBitVector ()
const BitVector & | getBitVector () const
| operator BitVector & ()
void | setProperty (Property property)
void | clearProperty (Property property)
void | toggleProperty (Property property)
Size | countProperties () const
const NamedProperty & | getNamedProperty (Position index) const
NamedProperty & | getNamedProperty (Position index)
void | setProperty (const NamedProperty &property)
void | setProperty (const std::string &name)
void | setProperty (const std::string &name, bool value)
void | setProperty (const std::string &name, int value)
void | setProperty (const std::string &name, unsigned int value)
void | setProperty (const std::string &name, float value)
void | setProperty (const std::string &name, double value)
void | setProperty (const std::string &name, const std::string &value)
void | setProperty (const std::string &name, const PersistentObject &value)
const NamedProperty & | getProperty (const std::string &name) const
NamedPropertyIterator | beginNamedProperty ()
NamedPropertyIterator | endNamedProperty ()
void | clearProperty (const std::string &name)
Size | countNamedProperties () const
bool | hasProperty (Property property) const
| Query for an unnamed property.
bool | hasProperty (const std::string &name) const
| Query for a named property.
bool | operator== (const PropertyManager &pm) const
bool | operator!= (const PropertyManager &pm) const
| Inequality operator.
void | write (PersistenceManager &pm) const
| Persistent stream writing.
bool | read (PersistenceManager &pm)
| Persistent stream reading.
bool | isValid () const
void | dump (std::ostream &s=std::cout, Size depth=0) const

## Processor specific methods

float | radius_
virtual Processor::Result | operator() (Composite &composite)
void | setRadius (float radius)
float | getRadius () const

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer
void | insertAtom_ (const Atom *atom)
void | clearUsedAtoms_ ()
std::list< const Atom * > & | getAtomList_ ()
HashSet< const Atom * > & | getAtomSet_ ()
void | buildBondModels_ ()
virtual void | visualiseBond_ (const Bond &bond)
virtual void | visualiseRings_ ()
vector< vector< Atom * > > | rings_
HashSet< const Atom * > | ring_atoms_
Protected Attributes inherited from BALL::VIEW::ModelProcessor
GeometricObjectList | geometric_objects_
Index | drawing_precision_
float | surface_drawing_precision_

## Detailed Description

HBondModelProcessor class.

Definition at line 23 of file HBondModel.h.

## Constructor & Destructor Documentation

## HBondModelProcessor() [1/2]

BALL::VIEW::HBondModelProcessor::HBondModelProcessor | ( |  | ) |

Default Constructor.

## HBondModelProcessor() [2/2]

BALL::VIEW::HBondModelProcessor::HBondModelProcessor | ( | const HBondModelProcessor & | model | ) |

Copy constructor.

## ~HBondModelProcessor()

virtual BALL::VIEW::HBondModelProcessor::~HBondModelProcessor | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## clear()

virtual void BALL::VIEW::HBondModelProcessor::clear | ( |  | ) |

virtual

Explicit default initialization. Calls AtomBondModelBaseProcessor::clear.

Reimplemented from BALL::VIEW::AtomBondModelBaseProcessor.

## getRadius()

float BALL::VIEW::HBondModelProcessor::getRadius | ( |  | ) | const

inline

Definition at line 84 of file HBondModel.h.

## operator()()

virtual Processor::Result BALL::VIEW::HBondModelProcessor::operator() | ( | Composite & | composite | ) |

virtual

Operator method. This method iterates over each Composite object reachable in the Composite tree. If the composite is of kind Atom than a Sphere is created for that atom, and the atom is inserted with the method insertAtom_().

Reimplemented from BALL::VIEW::AtomBondModelBaseProcessor.

## operator=()

const HBondModelProcessor & BALL::VIEW::HBondModelProcessor::operator= | ( | const HBondModelProcessor & | model | ) |

Assignment operator. Calls set().

Parameters

  model | the HBondModelProcessor to be copied

## set()

void BALL::VIEW::HBondModelProcessor::set | ( | const HBondModelProcessor & | model | ) |

Assignment. Calls AtomBondModelBaseProcessor::set.

## setRadius()

void BALL::VIEW::HBondModelProcessor::setRadius | ( | float | radius | ) |

inline

Definition at line 80 of file HBondModel.h.

## Member Data Documentation

## radius_

float BALL::VIEW::HBondModelProcessor::radius_

protected

Definition at line 89 of file HBondModel.h.